
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #119

support the new GDK_SCROLL_SMOOTH event in GTK+ 3.4

June 06, 2012 07:40 - il lumilore

Status: Closed Start date: June 06, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.2.4   

Affects version: 3.2, 3.2.1, 3.2.2, 3.2.3   

Description

In kubuntu 12.04 x64 and audacious 3.3, the volume is no longer controlled by the mouse wheel on main skinned window, where it

did in 11.10. apparently due to the GDK_SCROLL_SMOOTH event in

GTK+ 3.4. Also, tilt wheel left and right no longer advance and rewind by 5 seconds.

The mouse wheel controlling the volume still works on the status bar icon.

History

#1 - June 09, 2012 00:12 - John Lindgren

- Category changed from core to plugins/skins

#2 - June 09, 2012 03:16 - John Lindgren

This has been on the back burner for a while now.  It will get done before 3.3, at any rate.

#3 - June 17, 2012 15:21 - John Lindgren

- Status changed from New to Closed

- Target version changed from 3.3 to 3.2.4

- % Done changed from 0 to 100

- Affects version deleted (3.2.4, 3.3)

https://github.com/audacious-media-player/audacious-plugins/commit/b5612773bb620dfbee9c54f8dfa8fa5ce0d87694
